> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# كشف بيانات اعتماد صندوق بريد

> يكشف بيانات اعتماد صندوق بريد العميل للعرض مرة واحدة.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json POST /v1/public/accounts/{account_id}/mailboxes/{mailbox}/reveal-credentials
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/mailboxes/{mailbox}/reveal-credentials:
    post:
      tags:
        - public-accounts
        - public-mailboxes
      summary: كشف بيانات اعتماد صندوق بريد
      description: يكشف بيانات اعتماد صندوق بريد العميل للعرض مرة واحدة.
      operationId: >-
        reveal_public_mailbox_credentials_v1_public_accounts__account_id__mailboxes__mailbox__reveal_credentials_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: mailbox
          required: true
          schema:
            title: Mailbox
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MailboxCredentialRevealResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    MailboxCredentialRevealResponse:
      properties:
        password:
          title: كلمة المرور
          type: string
        username:
          title: اسم المستخدم
          type: string
      required:
        - username
        - password
      title: MailboxCredentialRevealResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````